<?php


namespace Drupal\helpdesk_integration;



use Drupal\helpdesk_integration\HelpdeskInterface;
use Symfony\Component\EventDispatcher\Event;

/**
 * Event class after successfully created user.
 *
 * @package Drupal\helpdesk_integration
 */
class UserPostCreationEvent extends Event {

  protected $user_id;

  protected $remote_user_id;

  protected $helpdesk;

  /**
   * @return HelpdeskInterface
   */
  public function getHelpdesk(): HelpdeskInterface {
    return $this->helpdesk;
  }

  /**
   * @param HelpdeskInterface $helpdesk
   */
  public function setHelpdesk(HelpdeskInterface $helpdesk): void {
    $this->helpdesk = $helpdesk;
  }

  /**
   * @return mixed
   */
  public function getUserId() {
    return $this->user_id;
  }

  /**
   * @param mixed $user_id
   */
  public function setUserId($user_id): void {
    $this->user_id = $user_id;
  }

  /**
   * @return string
   */
  public function getRemoteUserId(): string {
    return $this->remote_user_id;
  }

  /**
   * @param string $remote_user_id
   */
  public function setRemoteUserId(string $remote_user_id): void {
    $this->remote_user_id = $remote_user_id;
  }


}